## rhythmdb-query-model rhythmdb-query-model — |

## Synopsis

    typedef     RhythmDBQueryModelPrivate;
    #define     RHYTHMDB_QUERY_MODEL_SUGGESTED_UPDATE_CHUNK
    RhythmDBQueryModel* rhythmdb_query_model_new
                                                (RhythmDB *db,
                                                 GPtrArray *query,
                                                 GCompareDataFunc sort_func,
                                                 RhythmDBPropType sort_prop_id,
                                                 gboolean sort_reverse);
    RhythmDBQueryModel* rhythmdb_query_model_new_empty
                                                (RhythmDB *db);
    void        rhythmdb_query_model_add_entry  (RhythmDBQueryModel *model,
                                                 RhythmDBEntry *entry,
                                                 gint index);
    void        rhythmdb_query_model_add_entries
                                                (RhythmDBQueryModel *model,
                                                 GPtrArray *entries);
    gboolean    rhythmdb_query_model_remove_entry
                                                (RhythmDBQueryModel *model,
                                                 RhythmDBEntry *entry);
    void        rhythmdb_query_model_signal_complete
                                                (RhythmDBQueryModel *model);
    GnomeVFSFileSize rhythmdb_query_model_get_size
                                                (RhythmDBQueryModel *model);
    long        rhythmdb_query_model_get_duration
                                                (RhythmDBQueryModel *model);
    gboolean    rhythmdb_query_model_entry_to_iter
                                                (RhythmDBQueryModel *model,
                                                 RhythmDBEntry *entry,
                                                 GtkTreeIter *iter);
    gboolean    rhythmdb_query_model_has_pending_changes
                                                (RhythmDBQueryModel *model);

## Description

## Details

### RhythmDBQueryModelPrivate

    typedef struct RhythmDBQueryModelPrivate RhythmDBQueryModelPrivate;

### RHYTHMDB_QUERY_MODEL_SUGGESTED_UPDATE_CHUNK

    #define RHYTHMDB_QUERY_MODEL_SUGGESTED_UPDATE_CHUNK 32

### rhythmdb_query_model_new ()

    RhythmDBQueryModel* rhythmdb_query_model_new
                                                (RhythmDB *db,
                                                 GPtrArray *query,
                                                 GCompareDataFunc sort_func,
                                                 RhythmDBPropType sort_prop_id,
                                                 gboolean sort_reverse);

`db` : |
`query` : |
`sort_func` : |
`sort_prop_id` : |
`sort_reverse` : |
Returns : |

### rhythmdb_query_model_new_empty ()

    RhythmDBQueryModel* rhythmdb_query_model_new_empty
                                                (RhythmDB *db);

`db` : |
Returns : |

### rhythmdb_query_model_add_entry ()

    void        rhythmdb_query_model_add_entry  (RhythmDBQueryModel *model,
                                                 RhythmDBEntry *entry,
                                                 gint index);

`model` : |
`entry` : |
`index` : |

### rhythmdb_query_model_add_entries ()

    void        rhythmdb_query_model_add_entries
                                                (RhythmDBQueryModel *model,
                                                 GPtrArray *entries);

`model` : |
`entries` : |

### rhythmdb_query_model_remove_entry ()

    gboolean    rhythmdb_query_model_remove_entry
                                                (RhythmDBQueryModel *model,
                                                 RhythmDBEntry *entry);

`model` : |
`entry` : |
Returns : |

### rhythmdb_query_model_signal_complete ()

    void        rhythmdb_query_model_signal_complete
                                                (RhythmDBQueryModel *model);

`model` : |

### rhythmdb_query_model_get_size ()

    GnomeVFSFileSize rhythmdb_query_model_get_size
                                                (RhythmDBQueryModel *model);

`model` : |
Returns : |

### rhythmdb_query_model_get_duration ()

    long        rhythmdb_query_model_get_duration
                                                (RhythmDBQueryModel *model);

`model` : |
Returns : |

### rhythmdb_query_model_entry_to_iter ()

    gboolean    rhythmdb_query_model_entry_to_iter
                                                (RhythmDBQueryModel *model,
                                                 RhythmDBEntry *entry,
                                                 GtkTreeIter *iter);

`model` : |
`entry` : |
`iter` : |
Returns : |

### rhythmdb_query_model_has_pending_changes ()

    gboolean    rhythmdb_query_model_has_pending_changes
                                                (RhythmDBQueryModel *model);

`model` : |
Returns : |